MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001799VCMIGUI - Hero screen / Exchange windowpublic2014-06-12 20:092016-01-23 06:21
ReporterKroArtem 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSUbuntuOS Version14.04
Product Version0.95b 
Target VersionFixed in Version0.98g 
Summary0001799: Hero's stats are not updated properly when he/she picks up an artifact
DescriptionI was picking up a shield that gives +2 def, and then realised that hero's statistics, shown in the left bottom part of the screen were not updated. You can enter hero's window (everything would be shown properly inside there) and come back, but stats in left bottom won't be updated.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001123confirmed Primary Skill values don't get immediately updated in Hero Exchange window when a skill-altering artifact is moved 
related to 0001821resolvedvmarkovtsev Improper name of assembled artifact empty slots 

-  Notes
(0006346)
vmarkovtsev (developer)
2016-01-22 19:54

left == right here? Stats are on the right...
(0006347)
vmarkovtsev (developer)
2016-01-22 19:59

I confirm this with the latest git.
(0006348)
vmarkovtsev (developer)
2016-01-22 20:38

https://github.com/vcmi/vcmi/pull/168 [^]

- Issue History
Date Modified Username Field Change
2014-06-12 20:09 KroArtem New Issue
2015-11-29 07:23 SXX Relationship added related to 0001123
2015-12-24 23:02 SXX Relationship added related to 0001821
2016-01-22 19:54 vmarkovtsev Note Added: 0006346
2016-01-22 19:59 vmarkovtsev Note Added: 0006347
2016-01-22 19:59 vmarkovtsev Assigned To => vmarkovtsev
2016-01-22 19:59 vmarkovtsev Status new => confirmed
2016-01-22 20:00 vmarkovtsev Status confirmed => assigned
2016-01-22 20:38 vmarkovtsev Note Added: 0006348
2016-01-23 06:21 vmarkovtsev Status assigned => resolved
2016-01-23 06:21 vmarkovtsev Fixed in Version => 0.98g
2016-01-23 06:21 vmarkovtsev Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean